security:
    encoders:
        App\Entity\User\User:
            algorithm: bcrypt
            cost: 12

    role_hierarchy:
        ROLE_USER: []
        ROLE_ADMIN: [ROLE_USER]

    providers:
        user:
            entity:
                class: App\Entity\User\User
                property: username

    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false

        main:
            pattern: ^/
            provider: user
            anonymous: ~
            form_login:
                csrf_token_generator: security.csrf.token_manager
                login_path: login
                check_path: login
            logout:
                path:   logout
                target: login

    access_control:
        - { path: (css|js)$,        roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/(login|logout), roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/backoffice,     roles: ROLE_ADMIN }
        - { path: ^/,               roles: ROLE_USER }
